Index: c/src/lib/libbsp/sparc/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -16,5 +16,5 @@
 VPATH = @srcdir@
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/directory.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -16,5 +16,5 @@
 VPATH = @srcdir@
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/directory.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/clock/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/clock/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/clock/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -33,5 +33,5 @@
 OBJS=$(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/console/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/console/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/console/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -33,5 +33,5 @@
 OBJS=$(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/gnatsupp/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/gnatsupp/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/gnatsupp/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -33,5 +33,5 @@
 OBJS=$(C_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/include/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/include/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/include/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -33,5 +33,5 @@
 SRCS=$(H_FILES) $(EQ_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/start/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/start/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/start/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -33,5 +33,5 @@
 OBJS=$(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/startsis/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startsis/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/startsis/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -33,5 +33,5 @@
 OBJS=$(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/startup/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/startup/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/startup/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -33,5 +33,5 @@
 OBJS=$(C_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/timer/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/timer/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/timer/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -33,5 +33,5 @@
 OBJS=$(C_O_FILES) $(CC_O_FILES) $(S_O_FILES)
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/leaf.cfg
 
Index: c/src/lib/libbsp/sparc/erc32/wrapup/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/wrapup/Makefile.in	(revision 8cdb582b49c1528216cfd316183536735474c899)
+++ c/src/lib/libbsp/sparc/erc32/wrapup/Makefile.in	(revision 196094eb79c6f6f139f7cab82d50f0dd3240f7dd)
@@ -29,5 +29,5 @@
 LIB=$(ARCH)/libbsp.a
 
-include $(RTEMS_ROOT)/make/custom/$(RTEMS_BSP).cfg
+include $(RTEMS_ROOT)/make/custom/${RTEMS_BSP}.cfg
 include $(RTEMS_ROOT)/make/lib.cfg
 