Index: scripts/ChangeLog
===================================================================
--- scripts/ChangeLog	(revision 8a1d1e0bed0c1e78a10af4d21b034cf53aff58fa)
+++ scripts/ChangeLog	(revision 217019f3b6605a28ecf264a924fc77c6f3fcecb2)
@@ -1,2 +1,12 @@
+2003-04-18	Joel Sherrill <joel@OARcorp.com>
+
+	* ChangeLog, gcc3newlib/gccnewlib.add, gdb/Makefile.am: Merged from
+	head.
+
+2003-04-18	Joel Sherrill <joel@OARcorp.com>
+
+	* setup.def: Update to gcc3.2.2newlib1.11.0-2.
+	* gcc3newlib/gccnewlib.add: We used .bz2 files.
+
 2003-02-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: scripts/gcc3newlib/gccnewlib.add
===================================================================
--- scripts/gcc3newlib/gccnewlib.add	(revision 8a1d1e0bed0c1e78a10af4d21b034cf53aff58fa)
+++ scripts/gcc3newlib/gccnewlib.add	(revision 217019f3b6605a28ecf264a924fc77c6f3fcecb2)
@@ -14,6 +14,6 @@
 Version:      	gcc%{gcc_version}newlib%{newlib_version}
 # gcc 3.x and gcc 2.9
-Source0:      ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{gcc_version}.tar.gz
-# Source0:      ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{gcc_version}.tar.bz2
+# Source0:      ftp://ftp.gnu.org/pub/gnu/gcc/gcc-@gcc_version@.tar.gz
+Source0:      ftp://ftp.gnu.org/pub/gnu/gcc/gcc-@gcc_version@.tar.bz2
 # gcc 2.95.x
 # Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{gcc_version}.tar.bz2
@@ -113,5 +113,6 @@
 # Building gnat requires gnat
 %if "%_vendor" == "redhat"
-BuildPreReq:	gcc-gnat
+# This really isn't available until RedHat 8.0.  How to conditionalize this?
+# BuildPreReq:	gcc-gnat
 %endif
 %endif
Index: scripts/gdb/Makefile.am
===================================================================
--- scripts/gdb/Makefile.am	(revision 8a1d1e0bed0c1e78a10af4d21b034cf53aff58fa)
+++ scripts/gdb/Makefile.am	(revision 217019f3b6605a28ecf264a924fc77c6f3fcecb2)
@@ -20,61 +20,73 @@
     $(top_builddir)/setup.cache
 
+RPM_SPECS_DATA = 
+
 arm-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache arm-rtems > $@
+RPM_SPECS_DATA += arm-rtems-$(GDBVERS).spec
 
-c4x-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
-	$(MKSPEC) -cfg $(top_builddir)/setup.cache c4x-rtems > $@
+# does not build with 5.2
+# c4x-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
+# 	$(MKSPEC) -cfg $(top_builddir)/setup.cache c4x-rtems > $@
+# RPM_SPECS_DATA += c4x-rtems-$(GDBVERS).spec
 
 h8300-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache h8300-rtems > $@
+RPM_SPECS_DATA += h8300-rtems-$(GDBVERS).spec
 
-hppa1.1-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
-	$(MKSPEC) -cfg $(top_builddir)/setup.cache hppa1.1-rtems > $@
+# does not build with 5.2
+# hppa1.1-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
+# 	$(MKSPEC) -cfg $(top_builddir)/setup.cache hppa1.1-rtems > $@
+# RPM_SPECS_DATA += hppa1.1-rtems-$(GDBVERS).spec
 
+RPM_SPECS_DATA += i386-rtems-$(GDBVERS).spec
 i386-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache i386-rtems > $@
 
-i386-RTEMS-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
-	$(MKSPEC) -cfg $(top_builddir)/setup.cache i386-RTEMS > $@
+# does not build with 5.2
+# i386-RTEMS-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
+# 	$(MKSPEC) -cfg $(top_builddir)/setup.cache i386-RTEMS > $@
+# RPM_SPECS_DATA += i386-RTEMS-$(GDBVERS).spec
 
 i960-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache i960-rtems > $@
+RPM_SPECS_DATA += i960-rtems-$(GDBVERS).spec
 
 m68k-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache m68k-rtems > $@
+RPM_SPECS_DATA += m68k-rtems-$(GDBVERS).spec
 
 mips64orion-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache mips64orion-rtems > $@
+RPM_SPECS_DATA += mips64orion-rtems-$(GDBVERS).spec
 
 mips-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache mips-rtems > $@
+RPM_SPECS_DATA += mips-rtems-$(GDBVERS).spec
 
 mipstx39-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache mipstx39-rtems > $@
+RPM_SPECS_DATA += mipstx39-rtems-$(GDBVERS).spec
 
-powerpc-RTEMS-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
-	$(MKSPEC) -cfg $(top_builddir)/setup.cache powerpc-RTEMS > $@
+# does not build with 5.2
+# powerpc-RTEMS-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
+# 	$(MKSPEC) -cfg $(top_builddir)/setup.cache powerpc-RTEMS > $@
+# RPM_SPECS_DATA += powerpc-RTEMS-$(GDBVERS).spec
 
 powerpc-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache powerpc-rtems > $@
+RPM_SPECS_DATA += powerpc-rtems-$(GDBVERS).spec
 
 sh-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache sh-rtems > $@
+RPM_SPECS_DATA += sh-rtems-$(GDBVERS).spec
 
 sh-rtemself-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache sh-rtemself > $@
+RPM_SPECS_DATA += sh-rtemself-$(GDBVERS).spec
 
 sparc-rtems-$(GDBVERS).spec: $(MKGDBSPEC_DEPS)
 	$(MKSPEC) -cfg $(top_builddir)/setup.cache sparc-rtems > $@
-
-RPM_SPECS_DATA = \
-    arm-rtems-$(GDBVERS).spec c4x-rtems-$(GDBVERS).spec \
-    h8300-rtems-$(GDBVERS).spec hppa1.1-rtems-$(GDBVERS).spec  \
-    i386-rtems-$(GDBVERS).spec i960-rtems-$(GDBVERS).spec \
-    m68k-rtems-$(GDBVERS).spec mips-rtems-$(GDBVERS).spec \
-    mipstx39-rtems-$(GDBVERS).spec mips64orion-rtems-$(GDBVERS).spec \
-    powerpc-rtems-$(GDBVERS).spec sh-rtems-$(GDBVERS).spec \
-    sh-rtemself-$(GDBVERS).spec sparc-rtems-$(GDBVERS).spec \
-    i386-RTEMS-$(GDBVERS).spec powerpc-RTEMS-$(GDBVERS).spec
+RPM_SPECS_DATA += sparc-rtems-$(GDBVERS).spec
 
 CLEANFILES += $(RPM_SPECS_DATA)