Index: c/src/lib/libbsp/mips/genmongoosev/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -1,2 +1,11 @@
+2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add preinstallation dirstamp support.
+	* clock/Makefile.am: Cosmetics.
+	* console/Makefile.am: Cosmetics.
+	* startup/Makefile.am: Cosmetics.
+	* timer/Makefile.am: Cosmetics.
+	* wrapup/Makefile.am: Cosmetics.
+
 2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/genmongoosev/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/genmongoosev/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -17,6 +17,6 @@
 EXTRA_DIST = times
 
-$(PROJECT_INCLUDE)/coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/coverhd.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
Index: c/src/lib/libbsp/mips/genmongoosev/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/clock/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/genmongoosev/clock/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 PGM = $(ARCH)/clock.rel
Index: c/src/lib/libbsp/mips/genmongoosev/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/console/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/genmongoosev/console/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 VPATH = @srcdir@:@srcdir@/../../../shared
Index: c/src/lib/libbsp/mips/genmongoosev/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/startup/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/genmongoosev/startup/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 VPATH = @srcdir@:@srcdir@/../../../shared:@srcdir@/../../shared/gdbstub:@srcdir@/../../../shared/gdbstub
@@ -9,5 +8,6 @@
 
 C_FILES = bspclean.c bsplibc.c bsppost.c bspstart.c bootcard.c main.c sbrk.c \
-    gnatinstallhandler.c setvec.c mips-stub.c gdb-support.c rtems-stub-glue.c
+    gnatinstallhandler.c setvec.c mips-stub.c gdb-support.c \
+    rtems-stub-glue.c
 C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
Index: c/src/lib/libbsp/mips/genmongoosev/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/timer/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/genmongoosev/timer/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 PGM = $(ARCH)/timer.rel
Index: c/src/lib/libbsp/mips/genmongoosev/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/wrapup/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/genmongoosev/wrapup/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -9,9 +9,12 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/mongoosev/*/$(ARCH)/*.$(OBJEXT)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT)) \
-    $(foreach piece, $(GENERIC_FILES), ../../../$(piece)/$(ARCH)/$(piece).rel)
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard \
+    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(wildcard \
+    ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) $(wildcard \
+    ../../../../libcpu/$(RTEMS_CPU)/mongoosev/*/$(ARCH)/*.$(OBJEXT)) \
+    $(wildcard \
+    ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT)) \
+    $(foreach piece, $(GENERIC_FILES), \
+    ../../../$(piece)/$(ARCH)/$(piece).rel)
 
 LIB = $(ARCH)/libbsp.a
Index: c/src/lib/libbsp/mips/jmr3904/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -1,2 +1,11 @@
+2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Add preinstallation dirstamp support.
+	* clock/Makefile.am: Cosmetics.
+	* console/Makefile.am: Cosmetics.
+	* startup/Makefile.am: Cosmetics.
+	* timer/Makefile.am: Cosmetics.
+	* wrapup/Makefile.am: Cosmetics.
+
 2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/mips/jmr3904/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/jmr3904/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -17,6 +17,6 @@
 EXTRA_DIST = times
 
-$(PROJECT_INCLUDE)/coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h
-	$(INSTALL_DATA) $< $@
+$(PROJECT_INCLUDE)/coverhd.h: $(top_srcdir)/../../shared/include/coverhd.h $(PROJECT_INCLUDE)/$(dirstamp)
+	$(INSTALL_DATA) $< $(PROJECT_INCLUDE)/coverhd.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/coverhd.h
 
Index: c/src/lib/libbsp/mips/jmr3904/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/clock/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/jmr3904/clock/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 PGM = $(ARCH)/clock.rel
Index: c/src/lib/libbsp/mips/jmr3904/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/console/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/jmr3904/console/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 VPATH = @srcdir@:@srcdir@/../../../shared
Index: c/src/lib/libbsp/mips/jmr3904/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/startup/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/jmr3904/startup/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 VPATH = @srcdir@:@srcdir@/../../../shared
Index: c/src/lib/libbsp/mips/jmr3904/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/timer/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/jmr3904/timer/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -2,5 +2,4 @@
 ## $Id$
 ##
-
 
 PGM = $(ARCH)/timer.rel
Index: c/src/lib/libbsp/mips/jmr3904/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/wrapup/Makefile.am	(revision d4ee0ce699ef942719b69215922e7d1e7a9dd6a7)
+++ c/src/lib/libbsp/mips/jmr3904/wrapup/Makefile.am	(revision 217645c87de3911c704f42293a23c30d93278c05)
@@ -9,9 +9,11 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/tx39/*/$(ARCH)/*.$(OBJEXT)) \
-    $(wildcard ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT)) \
-    $(foreach piece, $(GENERIC_FILES), ../../../$(piece)/$(ARCH)/$(piece).rel)
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard \
+    ../$(piece)/$(ARCH)/*.$(OBJEXT))) $(wildcard \
+    ../../../../libcpu/$(RTEMS_CPU)/shared/*/$(ARCH)/*.$(OBJEXT)) $(wildcard \
+    ../../../../libcpu/$(RTEMS_CPU)/tx39/*/$(ARCH)/*.$(OBJEXT)) $(wildcard \
+    ../../../../libcpu/$(RTEMS_CPU)/$(RTEMS_CPU_MODEL)/$(ARCH)/*.$(OBJEXT)) \
+    $(foreach piece, $(GENERIC_FILES), \
+    ../../../$(piece)/$(ARCH)/$(piece).rel)
 
 LIB = $(ARCH)/libbsp.a