Index: c/src/lib/libbsp/powerpc/eth_comm/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/ChangeLog	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -1,2 +1,10 @@
+2003-09-04	Joel Sherrill <joel@OARcorp.com>
+
+	* canbus/canbus.c, clock/p_clock.c, include/bsp.h, include/canbus.h,
+	include/coverhd.h, irq/irq.c, irq/irq.h, irq/irq_asm.S,
+	irq/irq_init.c, startup/bspstart.c, startup/mmutlbtab.c,
+	startup/setvec.c, vectors/vectors.h, vectors/vectors_init.c: URL for
+	license changed.
+
 2003-08-22	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/powerpc/eth_comm/canbus/canbus.c
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/canbus/canbus.c	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/canbus/canbus.c	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  Note: All of this code assumes a 10Mhz clock input to the 82527
Index: c/src/lib/libbsp/powerpc/eth_comm/clock/p_clock.c
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/clock/p_clock.c	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/clock/p_clock.c	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -7,5 +7,5 @@
  *  The license and distribution terms for this file may in
  *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  Modified to support the MPC750.
Index: c/src/lib/libbsp/powerpc/eth_comm/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/include/bsp.h	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/include/bsp.h	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -10,5 +10,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libbsp/powerpc/eth_comm/include/canbus.h
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/include/canbus.h	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/include/canbus.h	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -10,5 +10,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id: 
Index: c/src/lib/libbsp/powerpc/eth_comm/include/coverhd.h
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/include/coverhd.h	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/include/coverhd.h	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -20,5 +20,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libbsp/powerpc/eth_comm/irq/irq.c
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/irq/irq.c	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/irq/irq.c	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -7,5 +7,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libbsp/powerpc/eth_comm/irq/irq.h
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/irq/irq.h	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/irq/irq.h	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -14,5 +14,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libbsp/powerpc/eth_comm/irq/irq_asm.S
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/irq/irq_asm.S	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/irq/irq_asm.S	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -5,5 +5,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  Modified to support the MCP750.
Index: c/src/lib/libbsp/powerpc/eth_comm/irq/irq_init.c
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/irq/irq_init.c	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/irq/irq_init.c	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -8,5 +8,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libbsp/powerpc/eth_comm/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/startup/bspstart.c	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/startup/bspstart.c	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -13,5 +13,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libbsp/powerpc/eth_comm/startup/mmutlbtab.c
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/startup/mmutlbtab.c	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/startup/mmutlbtab.c	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -6,5 +6,5 @@
  * The license and distribution terms for this file may be
  * found in the file LICENSE in this distribution or at
- * http://www.OARcorp.com/rtems/license.html.
+ * http://www.rtems.com/license/LICENSE.
  */
 
Index: c/src/lib/libbsp/powerpc/eth_comm/startup/setvec.c
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/startup/setvec.c	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/startup/setvec.c	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -18,5 +18,5 @@
  *  The license and distribution terms for this file may be
  *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libbsp/powerpc/eth_comm/vectors/vectors.h
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/vectors/vectors.h	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/vectors/vectors.h	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$
Index: c/src/lib/libbsp/powerpc/eth_comm/vectors/vectors_init.c
===================================================================
--- c/src/lib/libbsp/powerpc/eth_comm/vectors/vectors_init.c	(revision a41990034e167ae8bfa7ccb98cf01c31a40b46f9)
+++ c/src/lib/libbsp/powerpc/eth_comm/vectors/vectors_init.c	(revision 247914a7058afff4606e5fd1249a28db068422e1)
@@ -9,5 +9,5 @@
  *  The license and distribution terms for this file may be
  *  found in found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
+ *  http://www.rtems.com/license/LICENSE.
  *
  *  $Id$