Index: cpukit/score/cpu/arm/cpu.c
===================================================================
--- cpukit/score/cpu/arm/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/arm/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -38,5 +38,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of ISR disptaching routine (unused)
+ *    thread_dispatch - address of ISR dispatching routine (unused)
  */
 
Index: cpukit/score/cpu/avr/cpu.c
===================================================================
--- cpukit/score/cpu/avr/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/avr/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -22,5 +22,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  *
  *  NO_CPU Specific Information:
Index: cpukit/score/cpu/bfin/cpu.c
===================================================================
--- cpukit/score/cpu/bfin/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/bfin/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -23,5 +23,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  *
  *  NO_CPU Specific Information:
Index: cpukit/score/cpu/c4x/cpu.c
===================================================================
--- cpukit/score/cpu/c4x/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/c4x/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -23,5 +23,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  *
  *  C4x Specific Information:
Index: cpukit/score/cpu/h8300/cpu.c
===================================================================
--- cpukit/score/cpu/h8300/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/h8300/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -21,5 +21,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  */
 
Index: cpukit/score/cpu/i386/cpu.c
===================================================================
--- cpukit/score/cpu/i386/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/i386/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -27,5 +27,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  */
 
Index: cpukit/score/cpu/lm32/cpu.c
===================================================================
--- cpukit/score/cpu/lm32/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/lm32/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -25,5 +25,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  *
  *  LM32 Specific Information:
Index: cpukit/score/cpu/m32c/cpu.c
===================================================================
--- cpukit/score/cpu/m32c/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/m32c/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -21,5 +21,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  *
  *  NO_CPU Specific Information:
Index: cpukit/score/cpu/m32r/cpu.c
===================================================================
--- cpukit/score/cpu/m32r/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/m32r/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -20,5 +20,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  *
  *  NO_CPU Specific Information:
Index: cpukit/score/cpu/mips/cpu.c
===================================================================
--- cpukit/score/cpu/mips/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/mips/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -72,5 +72,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  */
 void _CPU_Initialize(
Index: cpukit/score/cpu/nios2/cpu.c
===================================================================
--- cpukit/score/cpu/nios2/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/nios2/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -21,5 +21,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  *
  *  NO_CPU Specific Information:
Index: cpukit/score/cpu/no_cpu/cpu.c
===================================================================
--- cpukit/score/cpu/no_cpu/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/no_cpu/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -22,5 +22,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  *
  *  NO_CPU Specific Information:
Index: cpukit/score/cpu/sh/cpu.c
===================================================================
--- cpukit/score/cpu/sh/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/sh/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -41,5 +41,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  */
 
Index: cpukit/score/cpu/sparc/cpu.c
===================================================================
--- cpukit/score/cpu/sparc/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/sparc/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -40,5 +40,5 @@
  *
  *  Input Parameters:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  *
  *  Output Parameters: NONE
Index: cpukit/score/cpu/unix/cpu.c
===================================================================
--- cpukit/score/cpu/unix/cpu.c	(revision 12f9e9420d9eb1a38e8a56f134cb81ff5e566c2d)
+++ cpukit/score/cpu/unix/cpu.c	(revision 383871acea1fa71e228ae055ca263375282e0455)
@@ -273,5 +273,5 @@
  *
  *  INPUT PARAMETERS:
- *    thread_dispatch - address of disptaching routine
+ *    thread_dispatch - address of dispatching routine
  */
 