Index: c/src/lib/libcpu/m68k/ChangeLog
===================================================================
--- c/src/lib/libcpu/m68k/ChangeLog	(revision 8a97d1299561057b4b3bc3643ebb3d84e92193d3)
+++ c/src/lib/libcpu/m68k/ChangeLog	(revision 440002fda5237a4fa92ec99e3204a9f1d11ea20b)
@@ -1,7 +1,21 @@
+2005-01-02	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* ChangeLog: Merge-in mcf5272/ChangeLog.
+	* mcf5272/ChangeLog: Remove.
+
+2004-11-25	Joel Sherrill <joel@OARcorp.com>
+
+	* mcf5272/timer/timerisr.S: Include rtems/asm.h not asm.h
+
 2004-11-19	Ralf Corsepius <ralf_corsepius@rtems.org>
 
-	* shared/cache/cache.c, shared/cache/cache_.h:
-	Use (defined(__mc68020__) && !defined(__mcpu32__))
-	instead of defined(__mc68020__) to reflect GCC-3.4's expectations.
+	* shared/cache/cache.c, shared/cache/cache_.h: Use
+	(defined(__mc68020__) && !defined(__mcpu32__)) instead of
+	defined(__mc68020__) to reflect GCC-3.4's expectations.
+
+2004-10-21	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* mcf5272/clock/ckinit.c, mcf5272/include/mcf5272.h,
+	mcf5272/timer/timer.c: Use POSIX fixed-size types.
 
 2004-10-19	Ralf Corsepius <ralf_corsepius@rtems.org>
@@ -20,13 +34,19 @@
 	mcf5272/include/.cvsignore, mcf5272/include/mcf5272.h,
 	mcf5272/timer/.cvsignore, mcf5272/timer/timer.c,
-	mcf5272/timer/timerisr.S: New files.
+	mcf5272/timer/timerisr.S, mcf5272/.cvsignore, mcf5272/ChangeLog,
+	mcf5272/Makefile.am, mcf5272/clock/.cvsignore,
+	mcf5272/clock/ckinit.c, mcf5272/include/.cvsignore,
+	mcf5272/include/mcf5272.h, mcf5272/timer/.cvsignore,
+	mcf5272/timer/timer.c, mcf5272/timer/timerisr.S: New files.
 
 2004-04-02	Ralf Corsepius <ralf_corsepius@rtems.org>
 
-	* mcf5206/timer/timerisr.S: Include <rtems/asm.h> instead of <asm.h>.
+	* mcf5206/timer/timerisr.S: Include <rtems/asm.h> instead of
+	<asm.h>.
 
 2004-04-01	Ralf Corsepius <ralf_corsepius@rtems.org>
 
-	* m68040/fpsp/rtems_skel.S: Include <rtems/asm.h> instead of <asm.h>.
+	* m68040/fpsp/rtems_skel.S: Include <rtems/asm.h> instead of
+	<asm.h>.
 
 2004-03-31	Ralf Corsepius <ralf_corsepius@rtems.org>
@@ -48,6 +68,6 @@
 2004-02-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* Index: m68040/Makefile.am, mcf5206/Makefile.am, shared/Makefile.am:
-	Don't include lib.am.
+	* Index: m68040/Makefile.am, mcf5206/Makefile.am,
+	shared/Makefile.am: Don't include lib.am.
 
 2004-01-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -62,21 +82,18 @@
 2004-01-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
+	* configure.ac: Require automake >= 1.8.2. Add subdir-objects to
+	AUTOMAKE_OPTIONS. Remove CHECK_CUSTOM_BSP. Reflect changes above.
+	* shared/Makefile.am: Use automake compilation rules.
+	* mcf5206/.cvsignore: Reflect changes above.
+	* mcf5206/Makefile.am: Convert to automake compilation rules.
+	* Makefile.am: Reflect changes above. Remove CPU_SUBDIR.
+	* m68040/fpsp/Makefile.am, mcf5206/configure.ac: Remove.
 	* m68040/Makefile.am: Merge-in m68040/fpsp/Makefile.am. Use
 	automake-compilation rules.
-	* m68040/fpsp/Makefile.am: Remove.
-	* shared/Makefile.am: Use automake compilation rules.
-	* Makefile.am: Reflect changes above. Remove CPU_SUBDIR.
-	* configure.ac: Require automake >= 1.8.2. Add subdir-objects to
-	AUTOMAKE_OPTIONS. Remove CHECK_CUSTOM_BSP. Reflect changes above.
-	* mcf5206/Makefile.am: Convert to automake compilation rules.
-	* mcf5206/configure.ac: Remove.
-	* mcf5206/.cvsignore: Reflect changes above.
 
 2004-01-14	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* shared/Makefile.am: Re-add dirstamps to PRE/TMPINSTALL_FILES. Add
-	PRE/TMPINSTALL_FILES to CLEANFILES.
-	* mcf5206/Makefile.am: Re-add dirstamps to PRE/TMPINSTALL_FILES. Add
-	PRE/TMPINSTALL_FILES to CLEANFILES.
+	* shared/Makefile.am, mcf5206/Makefile.am: Re-add dirstamps to
+	PRE/TMPINSTALL_FILES. Add PRE/TMPINSTALL_FILES to CLEANFILES.
 
 2003-12-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -86,64 +103,52 @@
 2003-12-12	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* shared/cache/Makefile.am: Remove.
-	* shared/misc/Makefile.am: Remove.
-	* shared/Makefile.am: Merge-in the Makefile.ams above. Eliminate VPATH.
+	* shared/Makefile.am: Merge-in the Makefile.ams above. Eliminate
+	VPATH.
+	* shared/cache/Makefile.am, mcf5206/Makefile.am: Use mkdir_p. Remove
+	dirs from PRE/TMPINSTALL_FILES.
+	* configure.ac, mcf5206/configure.ac: Require automake >= 1.8,
+	autoconf >= 2.59.
 	* configure.ac: Reflect changes above.
-	* shared/cache/Makefile.am: Use mkdir_p. Remove dirs from
-	PRE/TMPINSTALL_FILES.
-	* configure.ac: Require automake >= 1.8, autoconf >= 2.59.
-	* mcf5206/Makefile.am: Use mkdir_p. Remove dirs from
-	PRE/TMPINSTALL_FILES.
-	* mcf5206/configure.ac: Require automake >= 1.8, autoconf >= 2.59.
+	* shared/cache/Makefile.am, shared/misc/Makefile.am: Remove.
 
 2003-12-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
 	* mcf5206/configure.ac: Cosmetics.
-	* mcf5206/clock/Makefile.am: Remove.
-	* mcf5206/console/Makefile.am: Remove.
-	* mcf5206/include/Makefile.am: Remove.
-	* mcf5206/mbus/Makefile.am: Remove.
-	* mcf5206/timer/Makefile.am: Remove.
+	* mcf5206/configure.ac: Reflect changes above.
+	* mcf5206/clock/Makefile.am, mcf5206/console/Makefile.am,
+	mcf5206/include/Makefile.am, mcf5206/mbus/Makefile.am,
+	mcf5206/timer/Makefile.am: Remove.
 	* mcf5206/Makefile.am: Merge-in former clock/Makefile.am,
 	console/Makefile.am, include/Makefile.am, mbus/Makefile.am,
 	timer/Makefile.am.
-	* mcf5206/configure.ac: Reflect changes above.
 
 2003-12-03	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* mcf5206/clock/Makefile.am: Cosmetics.
-	* mcf5206/mbus/Makefile.am: Cosmetics.
-	* mcf5206/timer/Makefile.am: Cosmetics.
+	* mcf5206/clock/Makefile.am, mcf5206/mbus/Makefile.am,
+	mcf5206/timer/Makefile.am: Cosmetics.
 
 2003-12-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* m68040/fpsp/Makefile.am: Remove all-local: $(ARCH).
-	* shared/cache/Makefile.am: Remove all-local: $(ARCH).
-	* shared/misc/Makefile.am: Remove all-local: $(ARCH).
-	* mcf5206/console/Makefile.am: Remove all-local: $(ARCH).
+	* m68040/fpsp/Makefile.am: Remove all-local,
+	shared/cache/Makefile.am: Remove all-local, shared/misc/Makefile.am:
+	Remove all-local, mcf5206/console/Makefile.am: Remove all-local:
+	$(ARCH).
 
 2003-12-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* m68040/Makefile.am: Reformat.
-	* m68040/fpsp/Makefile.am: Reformat.
-	* shared/Makefile.am: Reformat.
-	* shared/cache/Makefile.am: Reformat. Use dirstamps for preinstallation.
-	* shared/misc/Makefile.am: Reformat.
-	* mcf5206/Makefile.am: Reformat.
-	* mcf5206/clock/Makefile.am: Reformat.
-	* mcf5206/console/Makefile.am: Reformat.
-	* mcf5206/include/Makefile.am: Reformat. Use dirstamps for
-	preinstallation.
-	* mcf5206/timer/Makefile.am: Reformat.
+	* m68040/Makefile.am, m68040/fpsp/Makefile.am, shared/Makefile.am,
+	shared/misc/Makefile.am, mcf5206/Makefile.am,
+	mcf5206/clock/Makefile.am, mcf5206/console/Makefile.am,
+	mcf5206/timer/Makefile.am: Reformat.
+	* shared/cache/Makefile.am, mcf5206/include/Makefile.am: Reformat.
+	Use dirstamps for preinstallation.
 
 2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* configure.ac: Remove RTEMS_CANONICAL_HOST.
-	* mcf5206/configure.ac: Remove RTEMS_CANONICAL_HOST.
+	* configure.ac, mcf5206/configure.ac: Remove RTEMS_CANONICAL_HOST.
 
 2003-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* configure.ac: Remove RTEMS_CHECK_CPU.
-	* mcf5206/configure.ac: Remove RTEMS_CHECK_CPU.
+	* configure.ac, mcf5206/configure.ac: Remove RTEMS_CHECK_CPU.
 
 2003-09-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -154,9 +159,9 @@
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
-	* shared/misc/m68kidle.c: URL for license changed.
-	* mcf5206/clock/ckinit.c, mcf5206/console/mcfuart.c,
-	mcf5206/include/mcf5206e.h, mcf5206/include/mcfmbus.h,
-	mcf5206/include/mcfuart.h, mcf5206/mbus/mcfmbus.c,
-	mcf5206/timer/timer.c, mcf5206/timer/timerisr.S: URL for license changed.
+	* shared/misc/m68kidle.c, mcf5206/clock/ckinit.c,
+	mcf5206/console/mcfuart.c, mcf5206/include/mcf5206e.h,
+	mcf5206/include/mcfmbus.h, mcf5206/include/mcfuart.h,
+	mcf5206/mbus/mcfmbus.c, mcf5206/timer/timer.c,
+	mcf5206/timer/timerisr.S: URL for license changed.
 
 2003-08-20	Joel Sherrill <joel@OARcorp.com>
@@ -168,39 +173,28 @@
 2003-08-18	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* Makefile.am: Reflect having moved aclocal/.
-	* mcf5206/Makefile.am: Reflect having moved aclocal/.
+	* Makefile.am, mcf5206/Makefile.am: Reflect having moved aclocal/.
 
 2003-08-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* Makefile.am: Reflect having moved automake/.
-	* m68040/Makefile.am: Reflect having moved automake/.
-	* m68040/fpsp/Makefile.am: Reflect having moved automake/.
-	* shared/Makefile.am: Reflect having moved automake/.
-	* shared/cache/Makefile.am: Reflect having moved automake/.
-	* shared/misc/Makefile.am: Reflect having moved automake/.
-	* mcf5206/Makefile.am: Reflect having moved automake/.
-	* mcf5206/clock/Makefile.am: Reflect having moved automake/.
-	* mcf5206/console/Makefile.am: Reflect having moved automake/.
-	* mcf5206/include/Makefile.am: Reflect having moved automake/.
-	* mcf5206/mbus/Makefile.am: Reflect having moved automake/.
-	* mcf5206/timer/Makefile.am: Reflect having moved automake/.
+	* Makefile.am, m68040/Makefile.am, m68040/fpsp/Makefile.am,
+	shared/Makefile.am, shared/cache/Makefile.am,
+	shared/misc/Makefile.am, mcf5206/Makefile.am,
+	mcf5206/clock/Makefile.am, mcf5206/console/Makefile.am,
+	mcf5206/include/Makefile.am, mcf5206/mbus/Makefile.am,
+	mcf5206/timer/Makefile.am: Reflect having moved automake/.
 
 2003-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* configure.ac: Use rtems-bugs@rtems.com as bug report email address.
-	* mcf5206/configure.ac: Use rtems-bugs@rtems.com as bug report email
-	address.
+	* configure.ac, mcf5206/configure.ac: Use rtems-bugs@rtems.com as
+	bug report email address.
 
 2003-03-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* configure.ac: Remove AC_CONFIG_AUX_DIR.
-	* mcf5206/configure.ac: Remove AC_CONFIG_AUX_DIR.
+	* configure.ac, mcf5206/configure.ac: Remove AC_CONFIG_AUX_DIR.
 
 2003-02-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
-	* configure.ac: AC_PREREQ(2.57).
-	* mcf5206/configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
-	* mcf5206/configure.ac: AC_PREREQ(2.57).
+	* configure.ac, mcf5206/configure.ac: AM_INIT_AUTOMAKE([1.7.2]).
+	* configure.ac, mcf5206/configure.ac: AC_PREREQ(2.57).
 
 2003-01-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -208,82 +202,72 @@
 	* mcf5206/clock/Makefile.am: Eliminate *_O_FILES. Don't include
 	@RTEMS_BSP@.cfg.
-	* mcf5206/console/Makefile.am: Likewise.
-	* mcf5206/mbus/Makefile.am: Likewise.
-	* mcf5206/timer/Makefile.am: Likewise.
+	* mcf5206/console/Makefile.am, mcf5206/mbus/Makefile.am,
+	mcf5206/timer/Makefile.am: Likewise.
 
 2003-01-03	Victor V. Vengerov <vvv@oktet.ru>
 
-	* mcf5206/mbus/mcfmbus.c: Per PR323, move the mbus_send command on line
-	232 to after the state has been set.
+	* mcf5206/mbus/mcfmbus.c: Per PR323, move the mbus_send command on
+	line 232 to after the state has been set.
 
 2002-12-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* configure.ac: Remove RTEMS_CHECK_BSP_CACHE.
-	* mcf5206/configure.ac: Remove RTEMS_CHECK_BSP_CACHE.
+	* configure.ac, mcf5206/configure.ac: Remove RTEMS_CHECK_BSP_CACHE.
 
 2002-12-01	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* configure.ac: Add RTEMS_PROG_CCAS.
-	* mcf5206/configure.ac: Add RTEMS_PROG_CCAS.
+	* configure.ac, mcf5206/configure.ac: Add RTEMS_PROG_CCAS.
 
 2002-10-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* .cvsignore: Reformat. Add autom4te*cache. Remove autom4te.cache.
-	* mcf5206/.cvsignore: Reformat. Add autom4te*cache. Remove
-	autom4te.cache.
+	* .cvsignore, mcf5206/.cvsignore: Reformat. Add autom4te*cache.
+	Remove autom4te.cache.
 
 2002-08-21	Joel Sherrill <joel@OARcorp.com>
 
-	* configure.ac, shared/misc/Makefile.am: PR217 required that the idle
-	task be moved to libcpu so it could be more acutely aware of the CPU
-	model.  This file was modified to pick up the idle task from there.
 	* shared/misc/m68kidle.c: New file.
+	* configure.ac, shared/misc/Makefile.am: PR217 required that the
+	idle task be moved to libcpu so it could be more acutely aware of
+	the CPU model.  This file was modified to pick up the idle task from
+	there.
 
 2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* m68040/fpsp/Makefile.am: Use .$(OBJEXT) instead of .o.
-	* mcf5206/clock/Makefile.am: Use .$(OBJEXT) instead of .o.
-	* mcf5206/console/Makefile.am: Use .$(OBJEXT) instead of .o.
-	* mcf5206/mbus/Makefile.am: Use .$(OBJEXT) instead of .o.
-	* mcf5206/timer/Makefile.am: Use .$(OBJEXT) instead of .o.
-	* shared/cache/Makefile.am: Use .$(OBJEXT) instead of .o.
-	* shared/misc/Makefile.am: Use .$(OBJEXT) instead of .o.
+	* m68040/fpsp/Makefile.am, mcf5206/clock/Makefile.am,
+	mcf5206/console/Makefile.am, mcf5206/mbus/Makefile.am,
+	mcf5206/timer/Makefile.am, shared/cache/Makefile.am,
+	shared/misc/Makefile.am: Use .$(OBJEXT) instead of .o.
 
 2002-08-06	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
+	* share/misc/Makefile.am: Fix AM_CPPFLAGS bug.
 	* configure.ac: Replace mcpu32 by mcpu32p conditional.
-	* share/misc/Makefile.am: Fix AM_CPPFLAGS bug.
 
 2002-08-06	Joel Sherrill <joel@OARcorp.com>
 
-	* configure.ac: Be more specific about looking at CPU32 and CPU32+ CPU
-	model names so we can turn on the best compile of memcpy.c.
+	* configure.ac: Be more specific about looking at CPU32 and CPU32+
+	CPU model names so we can turn on the best compile of memcpy.c.
 
 2002-08-05	Joel Sherrill <joel@OARcorp.com>
 
-	* Per PR260 eliminate use of make-target-options.  This impacted RTEMS
-	allowing a distinction between the CPU32 and CPU32+ in the SuperCore and
-	required that the m68k optimized memcpy be moved to libcpu.
+	* Per PR260 eliminate use of make-target-options.  This impacted
+	RTEMS allowing a distinction between the CPU32 and CPU32+ in the
+	SuperCore and required that the m68k optimized memcpy be moved to
+	libcpu.
 	* shared/misc/memcpy.c: Moved from score/cpu/m68k.
-	* configure.ac, shared/Makefile.am: Modified to reflect new directory.
 	* shared/misc/.cvsignore, shared/misc/Makefile.am: New file.
+	* configure.ac, shared/Makefile.am: Modified to reflect new
+	directory.
 
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* configure.ac: AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
+	* m68040/fpsp/Makefile.am, m68040/Makefile.am, Makefile.am,
+	shared/cache/Makefile.am, shared/Makefile.am,
+	mcf5206/clock/Makefile.am, mcf5206/Makefile.am,
+	mcf5206/console/Makefile.am, mcf5206/include/Makefile.am,
+	mcf5206/mbus/Makefile.am, mcf5206/timer/Makefile.am: Remove
+	AUTOMAKE_OPTIONS.
+	* configure.ac, mcf5206/configure.ac:
+	AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
 	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
-	* m68040/fpsp/Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* m68040/Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* shared/cache/Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* shared/Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* mcf5206/configure.ac: AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
-	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
-	* mcf5206/clock/Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* mcf5206/Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* mcf5206/console/Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* mcf5206/include/Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* mcf5206/mbus/Makefile.am: Remove AUTOMAKE_OPTIONS.
-	* mcf5206/timer/Makefile.am: Remove AUTOMAKE_OPTIONS.
 
 2002-01-15	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -291,11 +275,10 @@
 	* m68040/fpsp/Makefile.am: Don't include @RTEMS_BSP@.cfg. Eliminate
 	*_O_FILES.
-	* shared/cache/Makefile.am: Ditto.
-	* shared/misc/Makefile.am: Ditto.
+	* shared/cache/Makefile.am, shared/misc/Makefile.am: Ditto.
 
 2001-11-09	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* mcf5206/include/Makefile.am: Fix TMPINSTALL_FILES to make automake-1.5
-	happy.
+	* mcf5206/include/Makefile.am: Fix TMPINSTALL_FILES to make
+	automake-1.5 happy.
 
 2001-10-29	Joel Sherrill <joel@OARcorp.com>
@@ -306,12 +289,12 @@
 
 	* New libcpu support for mcf5206e.
-	* mcf5206/ChangeLog, mcf5206/clock/ckinit.c, mcf5206/clock/.cvsignore,
-	mcf5206/configure.ac, mcf5206/console/mcfuart.c,
-	mcf5206/console/.cvsignore, mcf5206/include/mcf5206e.h,
-	mcf5206/include/mcfmbus.h, mcf5206/include/mcfuart.h,
-	mcf5206/include/.cvsignore, mcf5206/mbus/mcfmbus.c,
-	mcf5206/mbus/.cvsignore, mcf5206/timer/timer.c,
-	mcf5206/timer/timerisr.S, mcf5206/timer/.cvsignore, mcf5206/.cvsignore:
-	New files.
+	* mcf5206/ChangeLog, mcf5206/clock/ckinit.c,
+	mcf5206/clock/.cvsignore, mcf5206/configure.ac,
+	mcf5206/console/mcfuart.c, mcf5206/console/.cvsignore,
+	mcf5206/include/mcf5206e.h, mcf5206/include/mcfmbus.h,
+	mcf5206/include/mcfuart.h, mcf5206/include/.cvsignore,
+	mcf5206/mbus/mcfmbus.c, mcf5206/mbus/.cvsignore,
+	mcf5206/timer/timer.c, mcf5206/timer/timerisr.S,
+	mcf5206/timer/.cvsignore, mcf5206/.cvsignore: New files.
 
 2001-10-26	Joel Sherrill <joel@OARcorp.com>
@@ -322,6 +305,6 @@
 
 	* .cvsignore: Add autom4te.cache for autoconf > 2.52.
+	* configure.ac: New file, generated from configure.in by autoupdate.
 	* configure.in: Remove.
-	* configure.ac: New file, generated from configure.in by autoupdate.
 
 2001-09-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
@@ -341,14 +324,16 @@
 2000-11-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* Makefile.am: Switch to ACLOCAL_AMFLAGS = -I $(RTEMS_TOPdir)/aclocal.
+	* Makefile.am: Switch to ACLOCAL_AMFLAGS = -I
+	$(RTEMS_TOPdir)/aclocal.
 
 2000-10-26	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* Makefile.am: ACLOCAL_AMFLAGS= -I $(RTEMS_TOPdir)/macros. Switch to GNU
-	canonicalization.
+	* Makefile.am: ACLOCAL_AMFLAGS= -I $(RTEMS_TOPdir)/macros. Switch to
+	GNU canonicalization.
 
 2000-09-04	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
-	* m68040/fpsp/Makefile.am, shared/cache/Makefile.am: Include compile.am.
+	* m68040/fpsp/Makefile.am, shared/cache/Makefile.am: Include
+	compile.am.
 
 2000-08-10	Joel Sherrill <joel@OARcorp.com>
Index: src/lib/libcpu/m68k/mcf5272/ChangeLog
===================================================================
--- c/src/lib/libcpu/m68k/mcf5272/ChangeLog	(revision 8a97d1299561057b4b3bc3643ebb3d84e92193d3)
+++ 	(revision )
@@ -1,15 +1,0 @@
-2004-11-25	Joel Sherrill <joel@OARcorp.com>
-
-	* timer/timerisr.S: Include rtems/asm.h not asm.h
-
-2004-10-21	Ralf Corsepius <ralf_corsepius@rtems.org>
-
-	* clock/ckinit.c, include/mcf5272.h, timer/timer.c:
-	Use POSIX fixed-size types.
-
-2004-08-02	Jay Monkman <jtm@lopingdog.com>
-
-	* .cvsignore, ChangeLog, Makefile.am, clock/.cvsignore, clock/ckinit.c,
-	include/.cvsignore, include/mcf5272.h, timer/.cvsignore,
-	timer/timer.c, timer/timerisr.S: New files.
-