Index: cpukit/ftpd/preinstall.am
===================================================================
--- cpukit/ftpd/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/ftpd/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/httpd/preinstall.am
===================================================================
--- cpukit/httpd/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/httpd/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/itron/preinstall.am
===================================================================
--- cpukit/itron/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/itron/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/libcsupport/preinstall.am
===================================================================
--- cpukit/libcsupport/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/libcsupport/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/libnetworking/preinstall.am
===================================================================
--- cpukit/libnetworking/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/libnetworking/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/librpc/preinstall.am
===================================================================
--- cpukit/librpc/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/librpc/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/posix/preinstall.am
===================================================================
--- cpukit/posix/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/posix/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/preinstall.am
===================================================================
--- cpukit/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/rtems/preinstall.am
===================================================================
--- cpukit/rtems/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/rtems/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/sapi/preinstall.am
===================================================================
--- cpukit/sapi/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/sapi/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/arm/preinstall.am
===================================================================
--- cpukit/score/cpu/arm/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/arm/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/avr/preinstall.am
===================================================================
--- cpukit/score/cpu/avr/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/avr/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/c4x/preinstall.am
===================================================================
--- cpukit/score/cpu/c4x/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/c4x/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/h8300/preinstall.am
===================================================================
--- cpukit/score/cpu/h8300/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/h8300/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/i386/preinstall.am
===================================================================
--- cpukit/score/cpu/i386/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/i386/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/m68k/preinstall.am
===================================================================
--- cpukit/score/cpu/m68k/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/m68k/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/mips/preinstall.am
===================================================================
--- cpukit/score/cpu/mips/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/mips/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/no_cpu/preinstall.am
===================================================================
--- cpukit/score/cpu/no_cpu/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/no_cpu/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/or32/preinstall.am
===================================================================
--- cpukit/score/cpu/or32/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/or32/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/powerpc/preinstall.am
===================================================================
--- cpukit/score/cpu/powerpc/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/powerpc/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/sh/preinstall.am
===================================================================
--- cpukit/score/cpu/sh/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/sh/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/sparc/preinstall.am
===================================================================
--- cpukit/score/cpu/sparc/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/sparc/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/cpu/unix/preinstall.am
===================================================================
--- cpukit/score/cpu/unix/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/cpu/unix/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/score/preinstall.am
===================================================================
--- cpukit/score/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/score/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 
Index: cpukit/wrapup/preinstall.am
===================================================================
--- cpukit/wrapup/preinstall.am	(revision fe3cf83ad6632acc0050118d7739202f1bb89100)
+++ cpukit/wrapup/preinstall.am	(revision 476114f5e9408d46706b31e2f07ec5fbd39dd402)
@@ -3,5 +3,5 @@
 if AMPOLISH3
 $(srcdir)/preinstall.am: Makefile.am
-	$(top_srcdir)/ampolish3 $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
+	$(AMPOLISH3) $(srcdir)/Makefile.am > $(srcdir)/preinstall.am
 endif
 