Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/ChangeLog	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -1,2 +1,14 @@
+2004-02-02	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* aclocal/check-multiprocessing.m4: Remove AC_SUBST(HAS_MP).
+	Add AM_CONDITIONAL(HAS_MP).
+	* wrapup/Makefile.am: Fix path to ../libchip/shmdr.rel.
+	* configure.ac: Remove AM_CONDITIONAL(HAS_MP).
+	* aclocal/enable-cxx.m4, aclocal/enable-itron.m4,
+	aclocal/enable-multiprocessing.m4, aclocal/enable-networking.m4,
+	aclocal/enable-posix.m4, aclocal/enable-rdbg.m4,
+	aclocal/multilib.m4: Use AS_HELP_STRING instead of AC_HELP_STRING
+	(Deprecated by autoconf 2.59).
+
 2004-01-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/aclocal/check-multiprocessing.m4
===================================================================
--- c/src/aclocal/check-multiprocessing.m4	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/aclocal/check-multiprocessing.m4	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -38,4 +38,4 @@
 ],[rtems_cv_HAS_MP="no";])
 
-AC_SUBST(HAS_MP,[$rtems_cv_HAS_MP])
+AM_CONDITIONAL(HAS_MP,[test "$rtems_cv_HAS_MP" = "yes"])
 ])
Index: c/src/aclocal/enable-cxx.m4
===================================================================
--- c/src/aclocal/enable-cxx.m4	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/aclocal/enable-cxx.m4	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -4,6 +4,5 @@
 [
 AC_ARG_ENABLE(cxx,
-[AC_HELP_STRING([--enable-cxx],
-[enable C++ support and build the rtems++ library])],
+[AS_HELP_STRING(--enable-cxx,enable C++ support and build the rtems++ library)],
 [case "${enable_cxx}" in
   yes) RTEMS_HAS_CPLUSPLUS=yes ;;
Index: c/src/aclocal/enable-itron.m4
===================================================================
--- c/src/aclocal/enable-itron.m4	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/aclocal/enable-itron.m4	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -6,5 +6,5 @@
 
 AC_ARG_ENABLE(itron,
-[AC_HELP_STRING([--enable-itron],[enable itron interface])],
+[AS_HELP_STRING(--enable-itron,enable itron interface)],
 [case "${enableval}" in 
   yes) RTEMS_HAS_ITRON_API=yes ;;
Index: c/src/aclocal/enable-multiprocessing.m4
===================================================================
--- c/src/aclocal/enable-multiprocessing.m4	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/aclocal/enable-multiprocessing.m4	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -4,6 +4,5 @@
 [
 AC_ARG_ENABLE(multiprocessing,
-[AC_HELP_STRING([--enable-multiprocessing],
-[enable multiprocessing interface])],
+[AS_HELP_STRING(--enable-multiprocessing,enable multiprocessing interface)],
 [case "${enable_multiprocessing}" in 
   yes) ;;
Index: c/src/aclocal/enable-networking.m4
===================================================================
--- c/src/aclocal/enable-networking.m4	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/aclocal/enable-networking.m4	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -6,5 +6,5 @@
 
 AC_ARG_ENABLE(networking,
-[AC_HELP_STRING([--enable-networking],[enable TCP/IP stack])],
+[AS_HELP_STRING(--enable-networking,enable TCP/IP stack)],
 [case "${enableval}" in
   yes) RTEMS_HAS_NETWORKING=yes ;;
Index: c/src/aclocal/enable-posix.m4
===================================================================
--- c/src/aclocal/enable-posix.m4	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/aclocal/enable-posix.m4	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -6,5 +6,5 @@
 
 AC_ARG_ENABLE(posix,
-[AC_HELP_STRING([--enable-posix],[enable posix interface])],
+[AS_HELP_STRING(--enable-posix,enable posix interface)],
 [case "${enableval}" in 
   yes) RTEMS_HAS_POSIX_API=yes ;;
Index: c/src/aclocal/enable-rdbg.m4
===================================================================
--- c/src/aclocal/enable-rdbg.m4	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/aclocal/enable-rdbg.m4	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -6,5 +6,5 @@
 
 AC_ARG_ENABLE(rdbg,
-[AC_HELP_STRING([--enable-rdbg],[enable remote debugger])],
+[AS_HELP_STRING(--enable-rdbg,enable remote debugger)],
 [case "${enableval}" in
   yes) RTEMS_HAS_RDBG=yes ;;
Index: c/src/aclocal/multilib.m4
===================================================================
--- c/src/aclocal/multilib.m4	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/aclocal/multilib.m4	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -6,6 +6,5 @@
 [
 AC_ARG_ENABLE(multilib,
-AC_HELP_STRING([--enable-multilib],
-[build many library versions (default=no)]),
+AS_HELP_STRING(--enable-multilib,build many library versions (default=no)),
 [case "${enableval}" in
   yes) multilib=yes ;;
Index: c/src/configure.ac
===================================================================
--- c/src/configure.ac	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/configure.ac	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -198,5 +198,4 @@
 AM_CONDITIONAL([HAS_RDBG],[test "$HAS_RDBG" = "yes"])
 AM_CONDITIONAL(HAS_POSIX,test "$HAS_POSIX_API" = "yes")
-AM_CONDITIONAL([HAS_MP],[test "$HAS_MP" = "yes"])
 
 # The posix bsp doesn't support libchip
Index: c/src/wrapup/Makefile.am
===================================================================
--- c/src/wrapup/Makefile.am	(revision 2a85ea232e282917649ec51cd2bda6e9c8bb74fe)
+++ c/src/wrapup/Makefile.am	(revision 477180fa73f85c3d891356a36b65c50b2f878f78)
@@ -49,5 +49,5 @@
 
 if HAS_MP
-SRCS += ../libchip/shmdr/shmdr$(LIB_VARIANT).rel
+SRCS += ../libchip/shmdr$(LIB_VARIANT).rel
 endif
 